"""Ajout des modèles de géométries administratives

Revision ID: 62495c819f2b
Revises: 9d99f3ea6b66
Create Date: 2024-06-08 16:13:15.457114

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '62495c819f2b'
down_revision: Union[str, None] = '9d99f3ea6b66'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('region',
    sa.Column('code_insee', sa.String(length=3), nullable=False),
    sa.Column('libelle', sa.String(length=64), nullable=False),
    sa.Column('geometry', sa.JSON(), nullable=False),
    sa.PrimaryKeyConstraint('code_insee'),
    sa.UniqueConstraint('libelle')
    )
    op.create_table('departement',
    sa.Column('code_insee', sa.String(length=2), nullable=False),
    sa.Column('libelle', sa.String(length=64), nullable=False),
    sa.Column('region_code', sa.String(length=3), nullable=False),
    sa.Column('geometry', sa.JSON(), nullable=False),
    sa.ForeignKeyConstraint(['region_code'], ['region.code_insee'], ),
    sa.PrimaryKeyConstraint('code_insee'),
    sa.UniqueConstraint('libelle')
    )
    op.create_table('circonscription',
    sa.Column('id', sa.String(length=6), nullable=False),
    sa.Column('departement_code', sa.String(length=2), nullable=False),
    sa.Column('numero', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['departement_code'], ['departement.code_insee'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('commune',
    sa.Column('code_insee', sa.String(length=5), nullable=False),
    sa.Column('libelle', sa.String(length=64), nullable=False),
    sa.Column('departement_code', sa.String(length=2), nullable=False),
    sa.Column('geometry', sa.JSON(), nullable=False),
    sa.ForeignKeyConstraint(['departement_code'], ['departement.code_insee'], ),
    sa.PrimaryKeyConstraint('code_insee')
    )
    op.create_table('bureau_vote',
    sa.Column('id', sa.String(length=16), nullable=False),
    sa.Column('commune_code', sa.String(length=5), nullable=False),
    sa.Column('code_bureau', sa.String(length=8), nullable=False),
    sa.Column('circo_code', sa.String(length=6), nullable=False),
    sa.Column('libelle', sa.String(length=256), nullable=False),
    sa.Column('adresse', sa.String(length=256), nullable=True),
    sa.Column('geometry', sa.JSON(), nullable=False),
    sa.ForeignKeyConstraint(['circo_code'], ['circonscription.id'], ),
    sa.ForeignKeyConstraint(['commune_code'], ['commune.code_insee'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('bureau_vote')
    op.drop_table('commune')
    op.drop_table('circonscription')
    op.drop_table('departement')
    op.drop_table('region')
    # ### end Alembic commands ###
